# Class Content

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents part of the content of a message.

    public abstract class Content

Inheritance
  object
  Content

Derived
  ImageContent
  TextContent
  ToolResultContent
  ToolUseContent

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### Content(string)

Initializes a new instance of the Content class.

    protected Content(string type)

#### Parameters

`type` string

  The type of the content.

## Properties

### Type

Gets the type of the content.

    public string Type { get; init; }

#### Property Value

string